Package org.eclipse.m2m.atl.adt.runner

## Class CreateModuleMANIFESTWriter

- java.lang.Object
- - org.eclipse.m2m.atl.adt.runner.CreateModuleMANIFESTWriter

    public class CreateModuleMANIFESTWriter
    extends java.lang.Object

### Field Summary

Fields
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_3`
`protected java.lang.String` `TEXT_4`
`protected java.lang.String` `TEXT_5`
`protected java.lang.String` `TEXT_6`
`protected java.lang.String` `TEXT_7`
`protected java.lang.String` `TEXT_8`

### Constructor Summary

Constructors
`CreateModuleMANIFESTWriter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CreateModuleMANIFESTWriter` `create​(java.lang.String lineSeparator)`
`java.lang.String` `generate​(java.lang.Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nl

    protected static java.lang.String nl

#### NL

    public final java.lang.String NL

#### TEXT_1

    protected final java.lang.String TEXT_1

#### TEXT_2

    protected final java.lang.String TEXT_2

#### TEXT_3

    protected final java.lang.String TEXT_3

#### TEXT_4

    protected final java.lang.String TEXT_4

#### TEXT_5

    protected final java.lang.String TEXT_5

#### TEXT_6

    protected final java.lang.String TEXT_6

See Also:
  Constant Field Values

#### TEXT_7

    protected final java.lang.String TEXT_7

#### TEXT_8

    protected final java.lang.String TEXT_8

### Constructor Detail

#### CreateModuleMANIFESTWriter

    public CreateModuleMANIFESTWriter()

### Method Detail

#### create

    public static CreateModuleMANIFESTWriter create​(java.lang.String lineSeparator)

#### generate

    public java.lang.String generate​(java.lang.Object argument)